input_iterator.hpp File Reference
`#include <cassert>`
`#include <cstddef>`
`#include <iterator>`
`#include <memory>`
`#include <type_traits>`
`#include <osmium/memory/buffer.hpp>`
`#include <osmium/memory/item.hpp>`
`#include <osmium/util/compatibility.hpp>`
Include dependency graph for input_iterator.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::io::InputIterator< TSource, TItem >
class | osmium::io::InputIteratorRange< TSource, TItem >

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::io
| Everything related to input and output of OSM data.

## Functions

template<typename TItem , typename TSource >
InputIteratorRange< TSource, TItem > | osmium::io::make_input_iterator_range (TSource &source)